<?php
class FrmPaymentSettingsController{
    function FrmPaymentSettingsController(){
        add_action('frm_add_form_option_section', array( &$this, 'payment_options'), 10, 2);
    }
    
    function payment_options($values){
        if(isset($values['id']))
            $fields = FrmField::getAll("fi.form_id='$values[id]' and fi.type not in ('divider', 'html', 'break', 'captcha', 'checkbox', 'rte')", ' ORDER BY field_order');
            
        include(FRM_PAYMENT_PATH .'/views/settings/payment_options.php');
    }
        
    function display_form(){
        global $frm_payment_settings;

        require_once(FRM_PAYMENT_PATH . '/views/settings/form.php');
    }

    function process_form(){
        global $frm_payment_settings;

        //$errors = $frm_payment_settings->validate($_POST,array());
        $errors = array();
        $frm_payment_settings->update($_POST);

        if( empty($errors) ){
            $frm_payment_settings->store();
            $message = __('Settings Saved', 'formidable');
        }

        require_once(FRM_PAYMENT_PATH . '/views/settings/form.php');
    }

    function route(){
        $action = FrmAppHelper::get_param('action');
        if($action == 'process-form')
            return $this->process_form();
        else
            return $this->display_form();
    }

}