<?php
/*
Plugin Name: Formidable Payment
Description: Send Posted results to PayPal
Version: 2.0b2
*/

//if(class_exists('FrmAppHelper')){
    define('FRM_PAYMENT_PATH', WP_PLUGIN_DIR.'/formidable-paypal');
    
    /***** SETUP SETTINGS OBJECT *****/
    require_once(FRM_PAYMENT_PATH .'/models/FrmPaymentSettings.php');
    
    global $frm_payment_settings;

    $frm_payment_settings = get_option('frm_paypal_options');

    if(!is_object($frm_payment_settings)){
        $frm_payment_settings = new FrmPaymentSettings();
        update_option('frm_paypal_options', $frm_payment_settings);
    }

    $frm_payment_settings->set_default_options(); // Sets defaults for unset options
    
    // Instansiate Models
    require_once(FRM_PAYMENT_PATH .'/models/FrmPaymentDb.php');
    global $frm_payment_db;
    $frm_payment_db = new FrmPaymentDb();

    require_once(FRM_PAYMENT_PATH .'/controllers/FrmPaymentsController.php');
    require_once(FRM_PAYMENT_PATH .'/controllers/FrmPaymentSettingsController.php');
    
    global $frm_payments_controller;
    global $frm_payment_settings_controller;
    
    $frm_payments_controller = new FrmPaymentsController();
    $frm_payment_settings_controller = new FrmPaymentSettingsController();
    
    require_once(FRM_PAYMENT_PATH .'/helpers/FrmPaymentsHelper.php');
//}




?>