<div class="wrap">
    <div id="icon-options-general" class="icon32"><br></div>
    <h2><?php _e('Payments') ?></h2>
    
    <?php require(FRM_VIEWS_PATH.'/shared/errors.php'); ?>

    <?php require(FRM_VIEWS_PATH.'/shared/nav.php'); ?>
    
    <div id="poststuff" class="metabox-holder has-right-sidebar">
        <div class="inner-sidebar">
        <div id="submitdiv" class="postbox ">
            <h3 class="hndle"><span><?php _e('Entry Actions', 'formidable') ?></span></h3>
            <div class="inside">
                <div class="submitbox">
            	<div id="major-publishing-actions">
            	    <div id="delete-action">                	    
            	        <a class="submitdelete deletion" href="<?php echo add_query_arg('action', 'destroy') ?>" onclick="return confirm('<?php _e('Are you sure you want to delete that payment?', 'formidable') ?>');" title="<?php _e('Delete', 'formidable') ?>"><?php _e('Delete', 'formidable') ?></a>
            	    </div>
            	    
            	    <div id="publishing-action">
            	        <a href="<?php echo add_query_arg('action', 'edit') ?>" class="button-primary"><?php _e('Edit', 'formidable') ?></a>
                    </div>
                    <div class="clear"></div>
                </div>
                </div>
            </div>
        </div>
        </div>
        
        <div id="post-body">
        <div id="post-body-content">

            <div class="postbox">
                <div class="handlediv"><br/></div><h3 class="hndle"><span><?php _e('Entry', 'formidable') ?></span></h3>
                <div class="inside">
                    <table class="form-table"><tbody>
                        <tr valign="top">
                            <th scope="row"><?php _e('Completed') ?>:</th>
                            <td><?php echo ($payment->completed) ? __('Yes') : __('No') ?></td>
                        </tr>
                        
                        <tr valign="top">
                            <th scope="row"><?php _e('User') ?>:</th>
                            <td><?php echo FrmProFieldsHelper::get_display_name($payment->user_id, 'display_name', array('link' => true)) ?></td>
                        </tr>
                        
                        <tr valign="top">
                            <th scope="row"><?php _e('Entry') ?>:</th>
                            <td><a href="?page=formidable-entries&amp;action=show&amp;id=<?php echo $payment->item_id ?>"><?php echo $payment->item_id ?></a></td>
                        </tr>
                        
                        <tr valign="top">
                            <th scope="row"><?php _e('Receipt') ?>:</th>
                            <td><?php echo $payment->receipt_id ?></td>
                        </tr>
                        
                        <tr valign="top">
                            <th scope="row"><?php _e('Amount') ?>:</th>
                            <td><?php echo FrmPaymentsHelper::formatted_amount($payment->amount) ?></td>
                        </tr>
                        
                        <tr valign="top">
                            <th scope="row"><?php _e('Date') ?>:</th>
                            <td><?php echo $payment->begin_date ?></td>
                        </tr>
                        
                        
                        
                        <?php if($payment->meta_value){ ?>
                        <tr valign="top">
                            <th scope="row"><?php _e('Payment Status Updates') ?>:</th>
                            <td>
                            
                            <?php foreach($payment->meta_value as $metas){ ?>
                                <table class="widefat">
                                <?php foreach($metas as $key => $meta){ ?>
                                <tr>
                                    <th><?php echo $key ?></th>
                                    <td><?php echo $meta ?></td>
                                </tr>
                                <?php } ?>
                                </table><br/>
                            <?php } ?>
                            
                            </td>
                        </tr>
                        <?php } ?>
                    </tbody></table>
                </div>
            </div>
        </div>
        </div>
        
    </div>

    </div>
</div>