<div class="theme-group clearfix">
	<div class="theme-group-header state-default">
		<span class="icon icon-triangle-1-e"><?php _e('Collapse', 'formidable') ?></span>
		<a href="#"><?php _e('Payment Options', 'formidable') ?></a>
	</div><!-- /theme group Error -->
	<div class="theme-group-content corner-bottom clearfix">
        <div class="clearfix">
		    <table class="form-table">
                <tr>
                    <td width="200px"><label><?php _e('Use PayPal with this form', 'formidable') ?>:</label></td>
                    <td><input type="checkbox" name="options[paypal]" value="1" <?php checked($values['paypal'], 1); ?> onclick="frm_show_div('hide_paypal',this.checked,1,'.')"/> <?php _e('Send users to PayPal after submitting this form', 'formidable') ?></td>
                </tr>
                 
                <tr class="hide_paypal" <?php echo $hide_paypal = ($values['paypal']) ? '' : 'style="display:none;"' ?>>
                    <td><label><?php _e('Item Name', 'formidable') ?>:</label></td>
                    <td><input type="text" name="options[paypal_item_name]" value="<?php echo esc_attr(stripslashes($values['paypal_item_name'])); ?>" /></td>
                </tr>
                  
                <tr class="hide_paypal" <?php echo $hide_paypal ?>>
                    <td><label><?php _e('Amount Field', 'formidable') ?>:</label></td>
                    <td><select name="options[paypal_amount_field]">
                        <option value="">- <?php _e('Select Field containing Total amount', 'formidable')?> -</option>
                        <?php 
                        if(isset($fields) and is_array($fields)){
                            foreach($fields as $field){ ?>
                            <option value="<?php echo $field->id ?>" <?php selected($values['paypal_amount_field'], $field->id) ?>><?php echo substr(esc_attr(stripslashes($field->name)), 0, 80);
                            unset($field); 
                            ?></option>
                            <?php 
                            }
                        }
                        ?>
                        </select>
                    </td>
                </tr>
            </table>
		</div>
	</div><!-- /theme group content -->
</div><!-- /theme group -->
